> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axiom.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get build status

> Retrieve detailed information about a specific program.



## OpenAPI

````yaml GET /v1/programs/{program_id}
openapi: 3.1.0
info:
  title: Axiom Proving API
  description: |-
    ## Axiom Cloud Proving API

        The Axiom Proving API allows you to compile, execute, and prove OpenVM programs on Axiom's cloud infrastructure.

        All endpoints require an API key passed in the `Axiom-API-Key` header.
        
  version: 1.0.0
servers:
  - url: https://api.axiom.xyz
    description: Production API
  - url: https://api.staging.app.axiom.xyz
    description: Staging API
security: []
paths:
  /v1/programs/{program_id}:
    get:
      tags:
        - programs
      summary: Get Program
      description: Retrieve detailed information about a specific program.
      operationId: get_program_v1_programs__program_id__get
      parameters:
        - name: program_id
          in: path
          required: true
          schema:
            type: string
            title: Program Id
      responses:
        '200':
          description: Program details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeProgramResponse'
        '404':
          description: Program not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FeProgramResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        status:
          $ref: '#/components/schemas/ArtifactStatus'
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message if the program compilation failed
          examples:
            - ''
        name:
          type: string
          title: Name
        created_by:
          type: string
          title: Created By
        last_active_at:
          type: string
          format: date-time
          title: Last Active At
        launched_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Launched At
        terminated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Terminated At
        config_uuid:
          type: string
          title: Config Uuid
        program_hash:
          type: string
          title: Program Hash
        openvm_config:
          type: string
          title: Openvm Config
        cells_used:
          type: integer
          title: Cells Used
        proofs_run:
          type: integer
          title: Proofs Run
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        project_id:
          type: string
          title: Project Id
        project_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Name
        project_highlighted_program_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Highlighted Program Id
      type: object
      required:
        - id
        - created_at
        - status
        - name
        - created_by
        - last_active_at
        - launched_at
        - terminated_at
        - config_uuid
        - program_hash
        - openvm_config
        - cells_used
        - proofs_run
        - commit_sha
        - project_id
        - project_name
        - project_highlighted_program_id
      title: FeProgramResponse
      description: User-facing program response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ArtifactStatus:
      type: string
      enum:
        - ready
        - processing
        - not_ready
        - error
        - failed
      title: ArtifactStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Axiom-API-Key

````